# Makefile.in generated by automake 1.7.9 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# Copyright (C) 2000 Stefan Buehler <sbuehler@uni-bremen.de>
#  
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without 
# modifications, as long as this notice is preserved.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTS_DATA_PATH_FALSE = @ARTS_DATA_PATH_FALSE@
ARTS_DATA_PATH_TRUE = @ARTS_DATA_PATH_TRUE@
ARTS_GENDOCS_FALSE = @ARTS_GENDOCS_FALSE@
ARTS_GENDOCS_TRUE = @ARTS_GENDOCS_TRUE@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
COMPILE_FLAGS_FALSE = @COMPILE_FLAGS_FALSE@
COMPILE_FLAGS_TRUE = @COMPILE_FLAGS_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CXXFLAGS_FIXED = @CXXFLAGS_FIXED@
CYGPATH_W = @CYGPATH_W@
DEBUGGING_FALSE = @DEBUGGING_FALSE@
DEBUGGING_TRUE = @DEBUGGING_TRUE@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
GREP = @GREP@
HAVE_SSTREAM_FALSE = @HAVE_SSTREAM_FALSE@
HAVE_SSTREAM_TRUE = @HAVE_SSTREAM_TRUE@
HDF_SUPPORT_FALSE = @HDF_SUPPORT_FALSE@
HDF_SUPPORT_TRUE = @HDF_SUPPORT_TRUE@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
OBJEXT = @OBJEXT@
OS_NAME_FALSE = @OS_NAME_FALSE@
OS_NAME_TRUE = @OS_NAME_TRUE@
OS_VERSION_FALSE = @OS_VERSION_FALSE@
OS_VERSION_TRUE = @OS_VERSION_TRUE@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
ac_arts_data = @ac_arts_data@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_doxygen = @ac_doxygen@
ac_latex = @ac_latex@
ac_pdflatex = @ac_pdflatex@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
bindir = @bindir@
build_alias = @build_alias@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@

bin_PROGRAMS = arts


# Set libraries:

# not needed at the moment: -ljpeg -lnsl -lm
arts_SOURCES = \
	absorption.cc \
	absorption.h \
	array.h \
	arts.h \
	atm_funcs.cc \
	atm_funcs.h \
	auto_md.cc \
	auto_md.h \
	auto_wsv.h \
	auto_wsv_groups.h \
	auto_wsv_pointers.cc \
	complex.h \
	complex.cc \
	constants.cc \
	continua.cc \
	continua.h \
	exceptions.h \
	file.cc \
	file.h \
	getopt.c \
	getopt.h \
	getopt1.c \
	globals_2.cc \
	groups.cc \
	iotraits.h \
	lineshapes.cc \
	los.h \
	m_abs.cc \
	m_batch.cc \
	m_hdf.cc \
	m_io.cc \
	m_los.cc \
	m_wfs.cc \
	main.cc \
	make_array.h \
	make_vector.cc \
	make_vector.h \
	math_funcs.cc \
	math_funcs.h \
	matpackI.cc \
	matpackI.h \
	matpackII.h \
	messages.cc \
	messages.h \
	methods.cc \
	methods.h \
	methods_aux.cc \
	parameters.cc \
	parameters.h \
	parser.cc \
	parser.h \
	partition_function_data.cc \
	species_data.cc \
	sstream.h \
	token.cc \
	token.h \
	version.cc \
	workspace.cc \
	workspace_aux.cc \
	wsv_aux.h \
	m_method_list.cc


noinst_PROGRAMS = \
	make_auto_md_cc \
	make_auto_md_h \
	make_auto_wsv_groups_h \
	make_auto_wsv_h \
	make_auto_wsv_pointers_cc \
	test_matpack


test_matpack_SOURCES = \
	array.h \
	arts.h \
	make_array.h \
	make_vector.cc \
	make_vector.h \
	matpackI.cc \
	matpackI.h \
	matpackIII.h \
	mystring.h \
	test_matpack.cc


make_auto_wsv_groups_h_SOURCES = \
	arts.h \
	file.cc \
	file.h \
	groups.cc \
	make_auto_wsv_groups_h.cc \
	messages.cc \
	partition_function_data.cc \
	species_data.cc \
	version.cc


make_auto_wsv_h_SOURCES = \
	absorption.h \
	arts.h \
	auto_wsv_groups.h \
	file.cc \
	file.h \
	groups.cc \
	los.h \
	make_auto_wsv_h.cc \
	matpackI.h \
	messages.cc \
	partition_function_data.cc \
	species_data.cc \
	version.cc \
	workspace.cc \
	workspace_aux.cc \
	wsv_aux.h


make_auto_wsv_pointers_cc_SOURCES = \
	arts.h \
	auto_wsv_groups.h \
	file.cc \
	file.h \
	groups.cc \
	make_auto_wsv_pointers_cc.cc \
	matpackI.h \
	messages.cc \
	partition_function_data.cc \
	species_data.cc \
	version.cc \
	workspace.cc \
	wsv_aux.h


make_auto_md_h_SOURCES = \
	absorption.h \
	arts.h \
	auto_wsv.h \
	auto_wsv_groups.h \
	file.cc \
	file.h \
	globals_2.cc \
	groups.cc \
	los.h \
	make_array.h \
	make_auto_md_h.cc \
	matpackI.h \
	matpackIII.h \
	messages.cc \
	messages.h \
	methods.cc \
	methods.h \
	methods_aux.cc \
	partition_function_data.cc \
	species_data.cc \
	token.cc \
	token.h \
	version.cc \
	workspace.cc \
	workspace_aux.cc \
	wsv_aux.h


make_auto_md_cc_SOURCES = \
	absorption.h \
	arts.h \
	auto_wsv.h \
	auto_wsv_groups.h \
	file.cc \
	file.h \
	globals_2.cc \
	groups.cc \
	los.h \
	make_array.h \
	make_auto_md_cc.cc \
	matpackI.h \
	matpackIII.h \
	messages.cc \
	messages.h \
	methods.cc \
	methods.h \
	methods_aux.cc \
	partition_function_data.cc \
	species_data.cc \
	token.cc \
	token.h \
	version.cc \
	workspace.cc \
	workspace_aux.cc \
	wsv_aux.h


BUILT_SOURCES = \
	auto_wsv_groups.h \
	auto_wsv.h \
	auto_wsv_pointers.cc \
	auto_md.h \
	auto_md.cc


CLEANFILES = \
	auto_wsv.h \
	auto_wsv_groups.h \
	auto_wsv_pointers.cc \
	auto_md.h \
	auto_md.cc

subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = arts$(EXEEXT)
noinst_PROGRAMS = make_auto_md_cc$(EXEEXT) make_auto_md_h$(EXEEXT) \
	make_auto_wsv_groups_h$(EXEEXT) make_auto_wsv_h$(EXEEXT) \
	make_auto_wsv_pointers_cc$(EXEEXT) test_matpack$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)

am_arts_OBJECTS = absorption.$(OBJEXT) atm_funcs.$(OBJEXT) \
	auto_md.$(OBJEXT) auto_wsv_pointers.$(OBJEXT) complex.$(OBJEXT) \
	constants.$(OBJEXT) continua.$(OBJEXT) file.$(OBJEXT) \
	getopt.$(OBJEXT) getopt1.$(OBJEXT) globals_2.$(OBJEXT) \
	groups.$(OBJEXT) lineshapes.$(OBJEXT) m_abs.$(OBJEXT) \
	m_batch.$(OBJEXT) m_hdf.$(OBJEXT) m_io.$(OBJEXT) \
	m_los.$(OBJEXT) m_wfs.$(OBJEXT) main.$(OBJEXT) \
	make_vector.$(OBJEXT) math_funcs.$(OBJEXT) matpackI.$(OBJEXT) \
	messages.$(OBJEXT) methods.$(OBJEXT) methods_aux.$(OBJEXT) \
	parameters.$(OBJEXT) parser.$(OBJEXT) \
	partition_function_data.$(OBJEXT) species_data.$(OBJEXT) \
	token.$(OBJEXT) version.$(OBJEXT) workspace.$(OBJEXT) \
	workspace_aux.$(OBJEXT) m_method_list.$(OBJEXT)
arts_OBJECTS = $(am_arts_OBJECTS)
arts_LDADD = $(LDADD)
arts_DEPENDENCIES =
arts_LDFLAGS =
am_make_auto_md_cc_OBJECTS = file.$(OBJEXT) globals_2.$(OBJEXT) \
	groups.$(OBJEXT) make_auto_md_cc.$(OBJEXT) messages.$(OBJEXT) \
	methods.$(OBJEXT) methods_aux.$(OBJEXT) \
	partition_function_data.$(OBJEXT) species_data.$(OBJEXT) \
	token.$(OBJEXT) version.$(OBJEXT) workspace.$(OBJEXT) \
	workspace_aux.$(OBJEXT)
make_auto_md_cc_OBJECTS = $(am_make_auto_md_cc_OBJECTS)
make_auto_md_cc_LDADD = $(LDADD)
make_auto_md_cc_DEPENDENCIES =
make_auto_md_cc_LDFLAGS =
am_make_auto_md_h_OBJECTS = file.$(OBJEXT) globals_2.$(OBJEXT) \
	groups.$(OBJEXT) make_auto_md_h.$(OBJEXT) messages.$(OBJEXT) \
	methods.$(OBJEXT) methods_aux.$(OBJEXT) \
	partition_function_data.$(OBJEXT) species_data.$(OBJEXT) \
	token.$(OBJEXT) version.$(OBJEXT) workspace.$(OBJEXT) \
	workspace_aux.$(OBJEXT)
make_auto_md_h_OBJECTS = $(am_make_auto_md_h_OBJECTS)
make_auto_md_h_LDADD = $(LDADD)
make_auto_md_h_DEPENDENCIES =
make_auto_md_h_LDFLAGS =
am_make_auto_wsv_groups_h_OBJECTS = file.$(OBJEXT) groups.$(OBJEXT) \
	make_auto_wsv_groups_h.$(OBJEXT) messages.$(OBJEXT) \
	partition_function_data.$(OBJEXT) species_data.$(OBJEXT) \
	version.$(OBJEXT)
make_auto_wsv_groups_h_OBJECTS = $(am_make_auto_wsv_groups_h_OBJECTS)
make_auto_wsv_groups_h_LDADD = $(LDADD)
make_auto_wsv_groups_h_DEPENDENCIES =
make_auto_wsv_groups_h_LDFLAGS =
am_make_auto_wsv_h_OBJECTS = file.$(OBJEXT) groups.$(OBJEXT) \
	make_auto_wsv_h.$(OBJEXT) messages.$(OBJEXT) \
	partition_function_data.$(OBJEXT) species_data.$(OBJEXT) \
	version.$(OBJEXT) workspace.$(OBJEXT) workspace_aux.$(OBJEXT)
make_auto_wsv_h_OBJECTS = $(am_make_auto_wsv_h_OBJECTS)
make_auto_wsv_h_LDADD = $(LDADD)
make_auto_wsv_h_DEPENDENCIES =
make_auto_wsv_h_LDFLAGS =
am_make_auto_wsv_pointers_cc_OBJECTS = file.$(OBJEXT) groups.$(OBJEXT) \
	make_auto_wsv_pointers_cc.$(OBJEXT) messages.$(OBJEXT) \
	partition_function_data.$(OBJEXT) species_data.$(OBJEXT) \
	version.$(OBJEXT) workspace.$(OBJEXT)
make_auto_wsv_pointers_cc_OBJECTS = \
	$(am_make_auto_wsv_pointers_cc_OBJECTS)
make_auto_wsv_pointers_cc_LDADD = $(LDADD)
make_auto_wsv_pointers_cc_DEPENDENCIES =
make_auto_wsv_pointers_cc_LDFLAGS =
am_test_matpack_OBJECTS = make_vector.$(OBJEXT) matpackI.$(OBJEXT) \
	test_matpack.$(OBJEXT)
test_matpack_OBJECTS = $(am_test_matpack_OBJECTS)
test_matpack_LDADD = $(LDADD)
test_matpack_DEPENDENCIES =
test_matpack_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/absorption.Po \
@AMDEP_TRUE@	./$(DEPDIR)/atm_funcs.Po ./$(DEPDIR)/auto_md.Po \
@AMDEP_TRUE@	./$(DEPDIR)/auto_wsv_pointers.Po \
@AMDEP_TRUE@	./$(DEPDIR)/complex.Po ./$(DEPDIR)/constants.Po \
@AMDEP_TRUE@	./$(DEPDIR)/continua.Po ./$(DEPDIR)/file.Po \
@AMDEP_TRUE@	./$(DEPDIR)/getopt.Po ./$(DEPDIR)/getopt1.Po \
@AMDEP_TRUE@	./$(DEPDIR)/globals_2.Po ./$(DEPDIR)/groups.Po \
@AMDEP_TRUE@	./$(DEPDIR)/lineshapes.Po ./$(DEPDIR)/m_abs.Po \
@AMDEP_TRUE@	./$(DEPDIR)/m_batch.Po ./$(DEPDIR)/m_hdf.Po \
@AMDEP_TRUE@	./$(DEPDIR)/m_io.Po ./$(DEPDIR)/m_los.Po \
@AMDEP_TRUE@	./$(DEPDIR)/m_method_list.Po ./$(DEPDIR)/m_wfs.Po \
@AMDEP_TRUE@	./$(DEPDIR)/main.Po ./$(DEPDIR)/make_auto_md_cc.Po \
@AMDEP_TRUE@	./$(DEPDIR)/make_auto_md_h.Po \
@AMDEP_TRUE@	./$(DEPDIR)/make_auto_wsv_groups_h.Po \
@AMDEP_TRUE@	./$(DEPDIR)/make_auto_wsv_h.Po \
@AMDEP_TRUE@	./$(DEPDIR)/make_auto_wsv_pointers_cc.Po \
@AMDEP_TRUE@	./$(DEPDIR)/make_vector.Po \
@AMDEP_TRUE@	./$(DEPDIR)/math_funcs.Po ./$(DEPDIR)/matpackI.Po \
@AMDEP_TRUE@	./$(DEPDIR)/messages.Po ./$(DEPDIR)/methods.Po \
@AMDEP_TRUE@	./$(DEPDIR)/methods_aux.Po \
@AMDEP_TRUE@	./$(DEPDIR)/parameters.Po ./$(DEPDIR)/parser.Po \
@AMDEP_TRUE@	./$(DEPDIR)/partition_function_data.Po \
@AMDEP_TRUE@	./$(DEPDIR)/species_data.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_matpack.Po ./$(DEPDIR)/token.Po \
@AMDEP_TRUE@	./$(DEPDIR)/version.Po ./$(DEPDIR)/workspace.Po \
@AMDEP_TRUE@	./$(DEPDIR)/workspace_aux.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
DIST_SOURCES = $(arts_SOURCES) $(make_auto_md_cc_SOURCES) \
	$(make_auto_md_h_SOURCES) $(make_auto_wsv_groups_h_SOURCES) \
	$(make_auto_wsv_h_SOURCES) $(make_auto_wsv_pointers_cc_SOURCES) \
	$(test_matpack_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(arts_SOURCES) $(make_auto_md_cc_SOURCES) $(make_auto_md_h_SOURCES) $(make_auto_wsv_groups_h_SOURCES) $(make_auto_wsv_h_SOURCES) $(make_auto_wsv_pointers_cc_SOURCES) $(test_matpack_SOURCES)

all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .cc .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/Makefile
Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
arts$(EXEEXT): $(arts_OBJECTS) $(arts_DEPENDENCIES) 
	@rm -f arts$(EXEEXT)
	$(CXXLINK) $(arts_LDFLAGS) $(arts_OBJECTS) $(arts_LDADD) $(LIBS)
make_auto_md_cc$(EXEEXT): $(make_auto_md_cc_OBJECTS) $(make_auto_md_cc_DEPENDENCIES) 
	@rm -f make_auto_md_cc$(EXEEXT)
	$(CXXLINK) $(make_auto_md_cc_LDFLAGS) $(make_auto_md_cc_OBJECTS) $(make_auto_md_cc_LDADD) $(LIBS)
make_auto_md_h$(EXEEXT): $(make_auto_md_h_OBJECTS) $(make_auto_md_h_DEPENDENCIES) 
	@rm -f make_auto_md_h$(EXEEXT)
	$(CXXLINK) $(make_auto_md_h_LDFLAGS) $(make_auto_md_h_OBJECTS) $(make_auto_md_h_LDADD) $(LIBS)
make_auto_wsv_groups_h$(EXEEXT): $(make_auto_wsv_groups_h_OBJECTS) $(make_auto_wsv_groups_h_DEPENDENCIES) 
	@rm -f make_auto_wsv_groups_h$(EXEEXT)
	$(CXXLINK) $(make_auto_wsv_groups_h_LDFLAGS) $(make_auto_wsv_groups_h_OBJECTS) $(make_auto_wsv_groups_h_LDADD) $(LIBS)
make_auto_wsv_h$(EXEEXT): $(make_auto_wsv_h_OBJECTS) $(make_auto_wsv_h_DEPENDENCIES) 
	@rm -f make_auto_wsv_h$(EXEEXT)
	$(CXXLINK) $(make_auto_wsv_h_LDFLAGS) $(make_auto_wsv_h_OBJECTS) $(make_auto_wsv_h_LDADD) $(LIBS)
make_auto_wsv_pointers_cc$(EXEEXT): $(make_auto_wsv_pointers_cc_OBJECTS) $(make_auto_wsv_pointers_cc_DEPENDENCIES) 
	@rm -f make_auto_wsv_pointers_cc$(EXEEXT)
	$(CXXLINK) $(make_auto_wsv_pointers_cc_LDFLAGS) $(make_auto_wsv_pointers_cc_OBJECTS) $(make_auto_wsv_pointers_cc_LDADD) $(LIBS)
test_matpack$(EXEEXT): $(test_matpack_OBJECTS) $(test_matpack_DEPENDENCIES) 
	@rm -f test_matpack$(EXEEXT)
	$(CXXLINK) $(test_matpack_LDFLAGS) $(test_matpack_OBJECTS) $(test_matpack_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/absorption.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atm_funcs.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/auto_md.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/auto_wsv_pointers.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/complex.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/constants.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/continua.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt1.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/globals_2.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/groups.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lineshapes.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/m_abs.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/m_batch.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/m_hdf.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/m_io.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/m_los.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/m_method_list.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/m_wfs.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/make_auto_md_cc.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/make_auto_md_h.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/make_auto_wsv_groups_h.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/make_auto_wsv_h.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/make_auto_wsv_pointers_cc.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/make_vector.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math_funcs.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/matpackI.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messages.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/methods.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/methods_aux.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parameters.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parser.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/partition_function_data.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/species_data.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_matpack.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/token.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/version.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/workspace.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/workspace_aux.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cc.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cc.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(PROGRAMS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(bindir)
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am: install-binPROGRAMS

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
	clean-generic clean-noinstPROGRAMS ctags distclean \
	distclean-compile distclean-generic distclean-tags distdir dvi \
	dvi-am info info-am install install-am install-binPROGRAMS \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-binPROGRAMS uninstall-info-am


methods.o: arts.h make_array.h auto_wsv.h methods.h auto_wsv_groups.h methods.cc
	$(CXX) $(DEFS) $(INCLUDES) -I.. $(AM_CPPFLAGS) $(CPPFLAGS) \
	       $(AM_CXXFLAGS) $(CXXFLAGS_FIXED) -c methods.cc

species_data.o: arts.h make_array.h absorption.h species_data.cc
	$(CXX) $(DEFS) $(INCLUDES) -I.. $(AM_CPPFLAGS) $(CPPFLAGS) \
	       $(AM_CXXFLAGS) $(CXXFLAGS_FIXED) -c species_data.cc

partition_function_data.o: arts.h make_array.h absorption.h partition_function_data.cc
	$(CXX) $(DEFS) $(INCLUDES) -I.. $(AM_CPPFLAGS) $(CPPFLAGS) \
	       $(AM_CXXFLAGS) $(CXXFLAGS_FIXED) -c partition_function_data.cc

auto_wsv.h: make_auto_wsv_h$(EXEEXT)
	$(top_builddir)/src/make_auto_wsv_h$(EXEEXT)

auto_wsv_groups.h: make_auto_wsv_groups_h$(EXEEXT)
	$(top_builddir)/src/make_auto_wsv_groups_h$(EXEEXT)

auto_wsv_pointers.cc: make_auto_wsv_pointers_cc$(EXEEXT)
	$(top_builddir)/src/make_auto_wsv_pointers_cc$(EXEEXT)

auto_md.h: make_auto_md_h$(EXEEXT)
	$(top_builddir)/src/make_auto_md_h$(EXEEXT)

auto_md.cc: make_auto_md_cc$(EXEEXT)
	$(top_builddir)/src/make_auto_md_cc$(EXEEXT)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
